# Allow Unfiltered ACF Content

See https://www.advancedcustomfields.com/blog/acf-6-2-5-security-release/

- Starting in 6.2.7 ACF will strip unsafe content from `the_field`, `the_subfield`, and shortcodes
- We can test early by applying a filter
- We can disable the filtering for trusted fields via a filter

This plugin will enable the changes before they are released via `add_filter( 'acf/the_field/escape_html_optin', '__return_true' );`

This is done to see what will occur on sites.

If we have trusted content that we do not want ACF to filter, we can exclude by filtering one field or shortcode at a time.
